EDIT - bug #10177

Problems with initializing collections
10/26/2022 01:15 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.34

Severity: normal Found in Version:

Description

The stacktrace points to problems with hybrid children...
mail ERS:

last remote method : https://api.cybertaxonomy.org:443/euromed/remoting/common.service
last remote request client time : 2022-10-25T11:16:41.291
last remote request response header time : Tue, 25 Oct 2022 09:16:41 GMT
client error time : 2022-10-25T11:16:41.376
login : e.raabstraube
editor version : 5.33.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / euromed
schema version : 5.33.0.0.20220807
os : Windows 10 10.0 amdé64
java : 1.8.0_201
org.eclipse.ed.core.di.InjectionException: eu.etaxonomy.taxeditor.remoting.CdmEagerLoadingExceptio
n: null, clazz: , field: null, collectionType: null, at code part: 4
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:65

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java
:282)

at org.eclipse.e4d.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:247)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFac
tory.java:90)

at org.eclipse.ed.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSav
eHandler. java:57)

at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)

at org.eclipse.e4.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl.j

ava:1390)

at org.eclipse.ed.ui.workbench.renderers.swt.StackRenderer.closePart (StackRenderer
.java:1295)

at org.eclipse.ed.ui.workbench.renderers.swt.StackRenderer.access$2 (StackRenderer.
Java:1278)

at org.eclipse.ed.ui.workbench.renderers.swt.StackRenderer$7.close (StackRenderer. j
ava:1163)

at org.eclipse.swt.custom.CTabFolder.onMouse (CTabFolder.java:1930)

at org.eclipse.swt.custom.CTabFolder$l.handleEvent (CTabFolder. java:338)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.e4d4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin
gEngine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE
ngine.java:1022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav
a:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196

at org.eclipse.core.runtime.internal.adaptor.EclipseApplLauncher.runApplication (Ecl

ipseAppLauncher. java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppla

uncher. java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

Caused by: eu.etaxonomy.taxeditor.remoting.CdmEagerLoadingException: null, clazz: , field: null, c

ollectionType: null, at code part: 4

at org.hibernate.collection.

(AbstractPersistentCollection. java:1530)

at org.hibernate.collection.

actPersistentCollection. java:666)

at org.hibernate.collection.

sistentCollection. java:185)

at org.hibernate.collection.

internal.AbstractPersistentCollection.remoteInitialize

internal.AbstractPersistentCollection.initialize (Abstr

internal.AbstractPersistentCollection.read (AbstractPer

internal.PersistentSet.iterator (PersistentSet. java:188

at eu.etaxonomy.taxeditor.editor.ed.TaxonEditorInputE4.merge (TaxonEditorInputE4. ja

va:388)

at eu.etaxonomy.taxeditor.editor.name.e4d.TaxonNameEditorE4.save (TaxonNameEditorE4.

java:411)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:55

37 more

Associated revisions

Revision cd7d5ac?2 - 10/26/2022 01:15 PM - Katja Luther

ref #10177: add names only once to the list of namesToBeSaved

History

#1 - 10/26/2022 06:10 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.35

#2 - 10/28/2022 03:38 PM - Andreas Miiller

- Status changed from New to Resolved

- Priority changed from New to Highest

- Target version changed from Release 5.35 to Release 5.34

- % Done changed from 0 to 70

This is maybe fixed with the given commit.

#3 - 10/28/2022 05:40 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 70 to 100

AM:

es kann sein, dass das Problem jetzt geldst ist, allerdings ist das unsicher, weil es ein bisschen schwierig zu untersuchen ist.
Wir schlieBen das Ticket erstmal, aber bitte melde dich falls es nochmal auftauchen sollte (méglichst mit Kontext).

so | close it for now
